%define anolis_release 1
%global pypi_name speechbrain
%global pypi_version 0.5.16

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        All-in-one speech toolkit in pure Python and Pytorch

License:        Apache-2.0 license
URL:            https://speechbrain.github.io/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
SpeechBrain is an open-source and all-in-one conversational AI toolkit based on PyTorch.

The goal is to create a single, flexible, and user-friendly toolkit that can be used to 
easily develop state-of-the-art speech technologies, including systems for speech recognition, 
speaker recognition, speech enhancement, speech separation, language identification, 
multi-microphone signal processing, and many others.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(huggingface-hub)
Requires:       python3dist(hyperpyyaml)
Requires:       python3dist(joblib)
Requires:       python3dist(numpy)
Requires:       python3dist(packaging)
Requires:       python3dist(scipy)
Requires:       python3dist(sentencepiece)
Requires:       python3dist(torch) >= 1.9
Requires:       python3dist(torchaudio)
Requires:       python3dist(tqdm)
%description -n python3-%{pypi_name}
SpeechBrain is an open-source and all-in-one conversational AI toolkit based on PyTorch.

The goal is to create a single, flexible, and user-friendly toolkit that can be used to 
easily develop state-of-the-art speech technologies, including systems for speech recognition, 
speaker recognition, speech enhancement, speech separation, language identification, 
multi-microphone signal processing, and many others.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/tests
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.5.16-1
- Initial package.
